% p-T phase diagram based on PP amplitudes of Ba-122
clear all

A_8K = load('sat_A_2.txt', '-ascii');
A_pT = load('All_points_4.txt', '-ascii');
Ax_pT = load('All_points_4.txt', '-ascii');

p = A_pT(:,2);
T = A_pT(:,3);
A = A_pT(:,5);

figure(1)
hold on
plot3(p,T,zeros(length(A),1),'*r')
% axis([-4, 4, -4, 4, 0, 25]);
grid
stem3(p,T,A,'^','fill')
hold off
view(322.5, 30);



[px,Tx] = meshgrid(0.7:0.2:4.5, 15:5.5:120);

A_LT = interp1(A_8K(:,1),A_8K(:,2),px);
A_LT = A_LT/max(A_LT);

Ai = griddata(p,T,A,px,Tx);

for j=1:length(px),
    for k=1:length(Tx),
    A_interp(j,k) = Ai(j,k)*A_LT(j);
    end;
end;

%% plotting
figure(2)
surf(px,Tx,A_interp)
shading interp
view(2)
colorbar
xlabel('Pressure (GPa)')
ylabel('Temperature (K)')